Name:		photoqt
Version:	1.4.1
Release:	1%{?dist}
Summary:	A fast Qt image viewer

License:	GPLv2+        
URL:		http://photoqt.org/            
Source0:	http://photoqt.org/pkgs/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qt5-qtbase-devel
BuildRequires:	qt5-qttools-devel
BuildRequires:	qt5-qtmultimedia-devel
BuildRequires:	qt5-qtsvg-devel
BuildRequires:	phonon-qt5-devel
BuildRequires:	GraphicsMagick-c++-devel
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	LibRaw-devel
BuildRequires:	libappstream-glib
BuildRequires:	desktop-file-utils

Requires:	qt5-qtquickcontrols
Requires:	qt5-qtgraphicaleffects
Requires:	qt5-qtmultimedia

Recommends:	xcftools   

%description
PhotoQt is a fast and highly configurable image viewer with a simple and
 nice interface.

%prep
%setup -q

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%post
update-desktop-database &> /dev/null ||
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
 
 
%postun
update-desktop-database &> /dev/null ||
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi 
 
%posttrans
gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

%files
%doc CHANGELOG README
%license COPYING
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png

#AppData
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Mon Jun 20 2016 Jiri Eischmann <eischmann@redhat.com> - 1.4.1-1
- Update to 1.4.1
- Removing downstream appdata file and using upstream one now

* Sun Jun 5 2016 Jiri Eischmann <eischmann@redhat.com> - 1.4-3
- Added missing runtime dependecies

* Tue May 31 2016 Jiri Eischmann <eischmann@redhat.com> - 1.4-2
- Fixes for review
- Removed unnecessary build requires
- Added versions to changelog
- Improved consistency of macros
- change build and install section to comply with best practises for Qt app
 
* Fri May 27 2016 Jiri Eischmann <eischmann@redhat.com> - 1.4-1
- Initial build
